SWAPON(8)

NAZWA
swapon, swapoff - włącza/wyłącza urządzenia oraz pliki stronicowania i wymiany

SKŁADNIA
Wyświetl informacje:
swapon -s [-h] [-V]

Włącz/wyłącz:
swapon [-d] [-f] [-p priorytet] [-v] plik-specjalny...
swapoff [-v] plik-specjalny...

Włącz/wyłącz wszystkie:
swapon -a [-e] [-f] [-v]
swapoff -a [-v]

OPIS
Polecenie swapon jest używane do określania urządzeń do stronicowania i wymiany. Urządzenie lub plik może być podany za pomocą parametru plik-specjalny. Może mieć on postać -L etykieta lub -U uuid aby określić urządzenie za pomocą etykiety lub uuid (unikalnego identyfikatora). Odwołanie do swapon normalnie powinno się pojawiać w systemowych skryptach uruchomieniowych, udostępniając wszystkie urządzenia wymiany, dzięki czemu stronicowanie i wymiana jest rozłożone między wiele urządzeń i plików. Polecenie swapoff wyłącza wymianę na podanych urządzeniach i plikach. Jeśli użyto opcji -a, to swap jest wyłączany na wszystkich znanych urządzeniach i plikach wymiany (zgodnie z plikiem /proc/swaps lub /etc/fstab).

-a, --all
    Udostępnia wszystkie urządzenia oznaczone jako "swap" w pliku /etc/fstab, z wyjątkiem plików z opcją "noauto". Urządzenia, które są już używane jako swap, są po cichu pomijane.

-d, --discard
    Oznacza zwolnione strony swap jako wolne, przed ich ponownym użyciem, jeśli urządzenie obsługuje operacje discard lub trim. Może to poprawić wydajność na niektórych dyskach SSD, choć często tak się nie dzieje. Opcja montowania discard w pliku /etc/fstab może być również użyta do włączenia opcji discard.

-e, --ifexists
    Pomija po cichu nieistniejące urządzenia. Opcja montowania nofail w /etc/fstab może być również użyta do pomijania nieistniejących urządzeń.

-f, --fixpgsz
    Ponownie inicjuje przestrzeń swap (exec /sbin/mkswap), jeśli rozmiar strony nie pasuje do rozmiaru podawanego przez aktualnie uruchomione jądro. Polecenie mkswap(2) inicjuje całe urządzenie i nie sprawdza go pod kątem błędnych bloków.

-h, --help
    Udostępnia pomoc.

-L etykieta
    Używa partycji z określoną etykietą (potrzebny jest w tym celu dostęp do /proc/partitions).

-p, --priority priorytet
    Określa priorytet urządzenia wymiany. Priorytet jest wartością z przedziału pomiędzy 0 a 32767. Wyższa liczba oznacza wyższy priorytet. Podręcznik polecenia swapon(2) zawiera pełny opis priorytetów swap. Do pliku /etc/fstab można dodać opcję pri=wartość, która będzie używana ze swapon -a.

-s, --summary
    Wyświetla podsumowanie użycia swapu wg urządzenia. Jest to odpowiednik "cat /proc/swaps". Opcja jest niedostępna w przypadku Linuksa starszego niż 2.1.25.

-U uuid
    Używa partycji o określonym uuid (unikalnym identyfikatorze).

-v, --verbose
    Więcej szczegółów.

-V, --version
    Wyświetla wersję.

UWAGI
Nie powinno się używać swapon na pliku z dziurami (tzw. rzadki plik). Swap poprzez NFS może nie działać.

Polecenie swapon automatycznie wykrywa i nadpisuje podpis przestrzeni wymiany ze starymi danymi wstrzymania (np. S1SUSPEND, S2SUSPEND, ...). Jest to konieczne, gdyż w przeciwnym wypadku nastąpiłoby uszkodzenie danych przy kolejnej próbie wybudzenia.

Program swapon może nie działać prawidłowo z plikiem wymiany na niektórych wersjach btrfs. Jest to spowodowane implementacją pliku wymiany w jądrze, które oczekuje możliwości bezpośredniego zapisu do pliku, bez pośrednictwa systemu plików. Ponieważ btrfs jest systemem plików używającym kopiowania przy zapisie, położenie pliku może nie być statyczne, co może spowodować błąd. Btrfs aktywnie nie pozwala na używanie plików w swoim systemie plików, odmawiając przypisania (zmapowania) pliku. Można to dostrzec w dzienniku systemowym jako "swapon: swapfile has holes." Możliwym obejściem problemu jest przypisanie pliku do urządzenia typu loopback. Pozwoli to systemowi plików na poprawne określenie przypisania, ale może odbić się negatywnie na wydajności.

ZOBACZ TAKŻE
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

PLIKI
/dev/sd?? standardowe urządzenia stronicowania
/etc/fstab tablica opisująca systemy plików w ascii

HISTORIA
Polecenie swapon pojawiło się w 4.0BSD.

DOSTĘPNOŚĆ
Polecenie swapon jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.